[numexpr] 01/01: Added autopkgtests

Antonio Valentino a_valentino-guest at moszumanska.debian.org
Sun Apr 20 17:14:41 UTC 2014


This is an automated email from the git hooks/post-receive script.

a_valentino-guest pushed a commit to branch master
in repository numexpr.

commit f035641f9d932dfec94c361c8182d3e29c580a9e
Author: Antonio Valentino <antonio.valentino at tiscali.it>
Date:   Sun Apr 20 17:13:49 2014 +0000

    Added autopkgtests
---
 debian/changelog         |  1 +
 debian/tests/control     | 12 ++++++++++++
 debian/tests/python2     | 12 ++++++++++++
 debian/tests/python2-dbg | 12 ++++++++++++
 debian/tests/python3     | 12 ++++++++++++
 debian/tests/python3-dbg | 12 ++++++++++++
 6 files changed, 61 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index 69e8349..125c2e9 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,6 +2,7 @@ numexpr (2.4-1) UNRELEASED; urgency=medium
 
   * New upstream release
   * The watch file has been updated to point to the new project home
+  * Added autopkgtests
   * debian/control
     - fixed long description of python3-numexpr that mentioned pyepr
       instead of numexpr (typo)
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..17348a5
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,12 @@
+Tests: python2
+Depends: python-numexpr, python-all
+
+Tests: python2-dbg
+Depends: python-numexpr-dbg, python-all-dbg
+
+Tests: python3
+Depends: python3-numexpr, python3-all
+
+Tests: python3-dbg
+Depends: python3-numexpr-dbg, python3-all-dbg
+
diff --git a/debian/tests/python2 b/debian/tests/python2
new file mode 100755
index 0000000..66e5a43
--- /dev/null
+++ b/debian/tests/python2
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -efu
+
+PYS=${PYS:-"$(pyversions -r 2>/dev/null)"}
+TESTPKG=${TESTPKG:-numexpr}
+
+cd "$ADTTMP"
+
+for py in $PYS; do
+    echo "=== $py ==="
+    $py -c "import $TESTPKG; $TESTPKG.test()" 2>&1
+done
diff --git a/debian/tests/python2-dbg b/debian/tests/python2-dbg
new file mode 100755
index 0000000..0b775dd
--- /dev/null
+++ b/debian/tests/python2-dbg
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -efu
+
+PYS=${PYS:-"$(pyversions -r 2>/dev/null)"}
+TESTPKG=${TESTPKG:-numexpr}
+
+cd "$ADTTMP"
+
+for py in $PYS; do
+    echo "=== $py ==="
+    $py-dbg -c "import $TESTPKG; $TESTPKG.test()" 2>&1
+done
diff --git a/debian/tests/python3 b/debian/tests/python3
new file mode 100755
index 0000000..13f4625
--- /dev/null
+++ b/debian/tests/python3
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -efu
+
+PYS=${PYS:-"$(py3versions -r 2>/dev/null)"}
+TESTPKG=${TESTPKG:-numexpr}
+
+cd "$ADTTMP"
+
+for py in $PYS; do
+    echo "=== $py ==="
+    $py -c "import $TESTPKG; $TESTPKG.test()" 2>&1
+done
diff --git a/debian/tests/python3-dbg b/debian/tests/python3-dbg
new file mode 100755
index 0000000..19ea7d3
--- /dev/null
+++ b/debian/tests/python3-dbg
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -efu
+
+PYS=${PYS:-"$(py3versions -r 2>/dev/null)"}
+TESTPKG=${TESTPKG:-numexpr}
+
+cd "$ADTTMP"
+
+for py in $PYS; do
+    echo "=== $py ==="
+    $py-dbg -c "import $TESTPKG; $TESTPKG.test()" 2>&1
+done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/numexpr.git



More information about the debian-science-commits mailing list